#ifndef YERBACON_MISC_HPP
#define YERBACON_MISC_HPP

string getFileContent(const string& file, const bool& parallel);
void outputFileContent(const string& file, string_view content);

#include "lex.hpp"
#include "parsing/Parser.hpp"
inline auto parseString(const string& toParse) { return Parser::parseVector(lex(toParse)); }

#endif //YERBACON_MISC_HPP